Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.media.opengl
Interface GL3

All Superinterfaces:
  GL, GL2ES2, GL2GL3, GLBase

All Known Implementing Classes:
  DebugGL3, TraceGL3

    public interface GL3

extends GLBase, GL, GL2ES2, GL2GL3

This interface contains all core, forward compatible, OpenGL methods starting from 3.1, inclusive, as well as most of it's extensions defined at the time of this specification.
Note: OpenGL 3.0 forward compatible, non deprecated functionality is included in the 3.1 specification, hence the `GL2GL3` implemented interface.
Note: OpenGL 3.1 forward compatible no more includes fixed point functionality.

Field Summary
`static int` | `GL_ACTIVE_UNIFORM_BLOCK_MAX_NAME_LENGTH` Part of `GL_ARB_uniform_buffer_object`
`static int` | `GL_ACTIVE_UNIFORM_BLOCKS` Part of `GL_ARB_uniform_buffer_object`
`static int` | `GL_ALREADY_SIGNALED` Part of `GL_ARB_sync`
`static int` | `GL_COMPARE_REF_TO_TEXTURE` Part of `GL_VERSION_3_0`
`static int` | `GL_CONDITION_SATISFIED` Part of `GL_ARB_sync`
`static int` | `GL_COPY_READ_BUFFER` Part of `GL_ARB_copy_buffer`
`static int` | `GL_COPY_WRITE_BUFFER` Part of `GL_ARB_copy_buffer`
`static int` | `GL_DEPTH_CLAMP` Part of `GL_ARB_depth_clamp`
`static int` | `GL_FIRST_VERTEX_CONVENTION` Part of `GL_ARB_provoking_vertex`
`static int` | `GL_INT_SAMPLER_2D_MULTISAMPLE` Part of `GL_ARB_texture_multisample`
`static int` | `GL_INT_SAMPLER_2D_MULTISAMPLE_ARRAY` Part of `GL_ARB_texture_multisample`
`static int` | `GL_INVALID_INDEX` Part of `GL_ARB_uniform_buffer_object`
`static int` | `GL_LAST_VERTEX_CONVENTION` Part of `GL_ARB_provoking_vertex`
`static int` | `GL_MAX_COLOR_TEXTURE_SAMPLES` Part of `GL_ARB_texture_multisample`
`static int` | `GL_MAX_COMBINED_FRAGMENT_UNIFORM_COMPONENTS` Part of `GL_ARB_uniform_buffer_object`
`static int` | `GL_MAX_COMBINED_GEOMETRY_UNIFORM_COMPONENTS` Part of `GL_ARB_uniform_buffer_object`
`static int` | `GL_MAX_COMBINED_UNIFORM_BLOCKS` Part of `GL_ARB_uniform_buffer_object`
`static int` | `GL_MAX_COMBINED_VERTEX_UNIFORM_COMPONENTS` Part of `GL_ARB_uniform_buffer_object`
`static int` | `GL_MAX_DEPTH_TEXTURE_SAMPLES` Part of `GL_ARB_texture_multisample`
`static int` | `GL_MAX_FRAGMENT_UNIFORM_BLOCKS` Part of `GL_ARB_uniform_buffer_object`
`static int` | `GL_MAX_GEOMETRY_UNIFORM_BLOCKS` Part of `GL_ARB_uniform_buffer_object`
`static int` | `GL_MAX_INTEGER_SAMPLES` Part of `GL_ARB_texture_multisample`
`static int` | `GL_MAX_SAMPLE_MASK_WORDS` Part of `GL_ARB_texture_multisample`
`static int` | `GL_MAX_SERVER_WAIT_TIMEOUT` Part of `GL_ARB_sync`
`static int` | `GL_MAX_UNIFORM_BLOCK_SIZE` Part of `GL_ARB_uniform_buffer_object`
`static int` | `GL_MAX_UNIFORM_BUFFER_BINDINGS` Part of `GL_ARB_uniform_buffer_object`
`static int` | `GL_MAX_VERTEX_UNIFORM_BLOCKS` Part of `GL_ARB_uniform_buffer_object`
`static int` | `GL_OBJECT_TYPE` Part of `GL_ARB_sync`
`static int` | `GL_PROVOKING_VERTEX` Part of `GL_ARB_provoking_vertex`
`static int` | `GL_PROXY_TEXTURE_2D_MULTISAMPLE` Part of `GL_ARB_texture_multisample`
`static int` | `GL_PROXY_TEXTURE_2D_MULTISAMPLE_ARRAY` Part of `GL_ARB_texture_multisample`
`static int` | `GL_QUADS_FOLLOW_PROVOKING_VERTEX_CONVENTION` Part of `GL_ARB_provoking_vertex`
`static int` | `GL_R16_SNORM` Part of `GL_VERSION_3_1`
`static int` | `GL_R8_SNORM` Part of `GL_VERSION_3_1`
`static int` | `GL_RED_SNORM` Part of `GL_VERSION_3_1`
`static int` | `GL_RG_SNORM` Part of `GL_VERSION_3_1`
`static int` | `GL_RG16_SNORM` Part of `GL_VERSION_3_1`
`static int` | `GL_RG8_SNORM` Part of `GL_VERSION_3_1`
`static int` | `GL_RGB_SNORM` Part of `GL_VERSION_3_1`
`static int` | `GL_RGB16_SNORM` Part of `GL_VERSION_3_1`
`static int` | `GL_RGB8_SNORM` Part of `GL_VERSION_3_1`
`static int` | `GL_RGBA_SNORM` Part of `GL_VERSION_3_1`
`static int` | `GL_RGBA16_SNORM` Part of `GL_VERSION_3_1`
`static int` | `GL_RGBA8_SNORM` Part of `GL_VERSION_3_1`
`static int` | `GL_SAMPLE_MASK` Part of `GL_ARB_texture_multisample`
`static int` | `GL_SAMPLE_MASK_VALUE` Part of `GL_ARB_texture_multisample`
`static int` | `GL_SAMPLE_POSITION` Part of `GL_ARB_texture_multisample`
`static int` | `GL_SAMPLER_2D_MULTISAMPLE` Part of `GL_ARB_texture_multisample`
`static int` | `GL_SAMPLER_2D_MULTISAMPLE_ARRAY` Part of `GL_ARB_texture_multisample`
`static int` | `GL_SAMPLER_2D_RECT` Part of `GL_VERSION_3_1`
`static int` | `GL_SAMPLER_2D_RECT_SHADOW` Part of `GL_VERSION_3_1`
`static int` | `GL_SIGNALED` Part of `GL_ARB_sync`
`static int` | `GL_SIGNED_NORMALIZED` Part of `GL_VERSION_3_1`
`static int` | `GL_SYNC_CONDITION` Part of `GL_ARB_sync`
`static int` | `GL_SYNC_FENCE` Part of `GL_ARB_sync`
`static int` | `GL_SYNC_FLAGS` Part of `GL_ARB_sync`
`static int` | `GL_SYNC_FLUSH_COMMANDS_BIT` Part of `GL_ARB_sync`
`static int` | `GL_SYNC_GPU_COMMANDS_COMPLETE` Part of `GL_ARB_sync`
`static int` | `GL_SYNC_STATUS` Part of `GL_ARB_sync`
`static int` | `GL_TEXTURE_2D_MULTISAMPLE` Part of `GL_ARB_texture_multisample`
`static int` | `GL_TEXTURE_2D_MULTISAMPLE_ARRAY` Part of `GL_ARB_texture_multisample`
`static int` | `GL_TEXTURE_BINDING_2D_MULTISAMPLE` Part of `GL_ARB_texture_multisample`
`static int` | `GL_TEXTURE_BINDING_2D_MULTISAMPLE_ARRAY` Part of `GL_ARB_texture_multisample`
`static int` | `GL_TEXTURE_CUBE_MAP_SEAMLESS` Part of `GL_ARB_seamless_cube_map`
`static int` | `GL_TEXTURE_FIXED_SAMPLE_LOCATIONS` Part of `GL_ARB_texture_multisample`
`static int` | `GL_TEXTURE_SAMPLES` Part of `GL_ARB_texture_multisample`
`static int` | `GL_TIMEOUT_EXPIRED` Part of `GL_ARB_sync`
`static long` | `GL_TIMEOUT_IGNORED` Part of `GL_ARB_sync`
`static int` | `GL_UNIFORM_ARRAY_STRIDE` Part of `GL_ARB_uniform_buffer_object`
`static int` | `GL_UNIFORM_BLOCK_ACTIVE_UNIFORM_INDICES` Part of `GL_ARB_uniform_buffer_object`
`static int` | `GL_UNIFORM_BLOCK_ACTIVE_UNIFORMS` Part of `GL_ARB_uniform_buffer_object`
`static int` | `GL_UNIFORM_BLOCK_BINDING` Part of `GL_ARB_uniform_buffer_object`
`static int` | `GL_UNIFORM_BLOCK_DATA_SIZE` Part of `GL_ARB_uniform_buffer_object`
`static int` | `GL_UNIFORM_BLOCK_INDEX` Part of `GL_ARB_uniform_buffer_object`
`static int` | `GL_UNIFORM_BLOCK_NAME_LENGTH` Part of `GL_ARB_uniform_buffer_object`
`static int` | `GL_UNIFORM_BLOCK_REFERENCED_BY_FRAGMENT_SHADER` Part of `GL_ARB_uniform_buffer_object`
`static int` | `GL_UNIFORM_BLOCK_REFERENCED_BY_GEOMETRY_SHADER` Part of `GL_ARB_uniform_buffer_object`
`static int` | `GL_UNIFORM_BLOCK_REFERENCED_BY_VERTEX_SHADER` Part of `GL_ARB_uniform_buffer_object`
`static int` | `GL_UNIFORM_BUFFER` Part of `GL_ARB_uniform_buffer_object`
`static int` | `GL_UNIFORM_BUFFER_BINDING` Part of `GL_ARB_uniform_buffer_object`
`static int` | `GL_UNIFORM_BUFFER_OFFSET_ALIGNMENT` Part of `GL_ARB_uniform_buffer_object`
`static int` | `GL_UNIFORM_BUFFER_SIZE` Part of `GL_ARB_uniform_buffer_object`
`static int` | `GL_UNIFORM_BUFFER_START` Part of `GL_ARB_uniform_buffer_object`
`static int` | `GL_UNIFORM_IS_ROW_MAJOR` Part of `GL_ARB_uniform_buffer_object`
`static int` | `GL_UNIFORM_MATRIX_STRIDE` Part of `GL_ARB_uniform_buffer_object`
`static int` | `GL_UNIFORM_NAME_LENGTH` Part of `GL_ARB_uniform_buffer_object`
`static int` | `GL_UNIFORM_OFFSET` Part of `GL_ARB_uniform_buffer_object`
`static int` | `GL_UNIFORM_SIZE` Part of `GL_ARB_uniform_buffer_object`
`static int` | `GL_UNIFORM_TYPE` Part of `GL_ARB_uniform_buffer_object`
`static int` | `GL_UNSIGNALED` Part of `GL_ARB_sync`
`static int` | `GL_UNSIGNED_INT_SAMPLER_2D_MULTISAMPLE` Part of `GL_ARB_texture_multisample`
`static int` | `GL_UNSIGNED_INT_SAMPLER_2D_MULTISAMPLE_ARRAY` Part of `GL_ARB_texture_multisample`
`static int` | `GL_WAIT_FAILED` Part of `GL_ARB_sync`

Fields inherited from interface javax.media.opengl.GL2GL3
`GL_ALPHA_FLOAT16_APPLE, GL_ALPHA_FLOAT16_ATI, GL_ALPHA_FLOAT32_APPLE, GL_ALPHA_FLOAT32_ATI, GL_BACK_LEFT, GL_BACK_RIGHT, GL_BGR, GL_BGR_INTEGER, GL_BGRA, GL_BGRA_INTEGER, GL_BLUE, GL_BLUE_INTEGER, GL_CLAMP_READ_COLOR, GL_CLAMP_TO_BORDER, GL_CLIP_DISTANCE0, GL_CLIP_DISTANCE1, GL_CLIP_DISTANCE2, GL_CLIP_DISTANCE3, GL_CLIP_DISTANCE4, GL_CLIP_DISTANCE5, GL_COLOR, GL_COLOR_ATTACHMENT1, GL_COLOR_ATTACHMENT10, GL_COLOR_ATTACHMENT11, GL_COLOR_ATTACHMENT12, GL_COLOR_ATTACHMENT13, GL_COLOR_ATTACHMENT14, GL_COLOR_ATTACHMENT15, GL_COLOR_ATTACHMENT2, GL_COLOR_ATTACHMENT3, GL_COLOR_ATTACHMENT4, GL_COLOR_ATTACHMENT5, GL_COLOR_ATTACHMENT6, GL_COLOR_ATTACHMENT7, GL_COLOR_ATTACHMENT8, GL_COLOR_ATTACHMENT9, GL_COLOR_FLOAT_APPLE, GL_COMPRESSED_RED, GL_COMPRESSED_RG, GL_COMPRESSED_RGB, GL_COMPRESSED_RGBA, GL_COMPRESSED_SRGB, GL_COMPRESSED_SRGB_ALPHA, GL_CONTEXT_FLAG_FORWARD_COMPATIBLE_BIT, GL_CONTEXT_FLAGS, GL_CONTINUOUS_AMD, GL_CURRENT_QUERY, GL_DEPTH, GL_DEPTH_BUFFER, GL_DEPTH_STENCIL, GL_DEPTH_STENCIL_ATTACHMENT, GL_DEPTH24_STENCIL8, GL_DISCRETE_AMD, GL_DOUBLE, GL_DOUBLEBUFFER, GL_DRAW_BUFFER, GL_DRAW_BUFFER0, GL_DRAW_BUFFER1, GL_DRAW_BUFFER10, GL_DRAW_BUFFER11, GL_DRAW_BUFFER12, GL_DRAW_BUFFER13, GL_DRAW_BUFFER14, GL_DRAW_BUFFER15, GL_DRAW_BUFFER2, GL_DRAW_BUFFER3, GL_DRAW_BUFFER4, GL_DRAW_BUFFER5, GL_DRAW_BUFFER6, GL_DRAW_BUFFER7, GL_DRAW_BUFFER8, GL_DRAW_BUFFER9, GL_DRAW_FRAMEBUFFER, GL_DRAW_FRAMEBUFFER_BINDING, GL_DYNAMIC_COPY, GL_DYNAMIC_READ, GL_FILL, GL_FIXED_ONLY, GL_FLOAT_CLEAR_COLOR_VALUE_NV, GL_FLOAT_MAT2x3, GL_FLOAT_MAT2x4, GL_FLOAT_MAT3x2, GL_FLOAT_MAT3x4, GL_FLOAT_MAT4x2, GL_FLOAT_MAT4x3, GL_FLOAT_R_NV, GL_FLOAT_R16_NV, GL_FLOAT_R32_NV, GL_FLOAT_RG_NV, GL_FLOAT_RG16_NV, GL_FLOAT_RG32_NV, GL_FLOAT_RGB_NV, GL_FLOAT_RGB16_NV, GL_FLOAT_RGB32_NV, GL_FLOAT_RGBA_MODE_NV, GL_FLOAT_RGBA_NV, GL_FLOAT_RGBA16_NV, GL_FLOAT_RGBA32_NV, GL_FRAMEBUFFER_ATTACHMENT_ALPHA_SIZE, GL_FRAMEBUFFER_ATTACHMENT_BLUE_SIZE, GL_FRAMEBUFFER_ATTACHMENT_COLOR_ENCODING, GL_FRAMEBUFFER_ATTACHMENT_COMPONENT_TYPE, GL_FRAMEBUFFER_ATTACHMENT_DEPTH_SIZE, GL_FRAMEBUFFER_ATTACHMENT_GREEN_SIZE, GL_FRAMEBUFFER_ATTACHMENT_LAYERED, GL_FRAMEBUFFER_ATTACHMENT_RED_SIZE, GL_FRAMEBUFFER_ATTACHMENT_STENCIL_SIZE, GL_FRAMEBUFFER_DEFAULT, GL_FRAMEBUFFER_INCOMPLETE_DRAW_BUFFER, GL_FRAMEBUFFER_INCOMPLETE_LAYER_COUNT, GL_FRAMEBUFFER_INCOMPLETE_LAYER_TARGETS, GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE, GL_FRAMEBUFFER_INCOMPLETE_READ_BUFFER, GL_FRAMEBUFFER_UNDEFINED, GL_FRONT_LEFT, GL_FRONT_RIGHT, GL_GEOMETRY_INPUT_TYPE, GL_GEOMETRY_OUTPUT_TYPE, GL_GEOMETRY_SHADER, GL_GEOMETRY_VERTICES_OUT, GL_GREEN, GL_GREEN_INTEGER, GL_HALF_APPLE, GL_INT_SAMPLER_1D, GL_INT_SAMPLER_1D_ARRAY, GL_INT_SAMPLER_2D, GL_INT_SAMPLER_2D_ARRAY, GL_INT_SAMPLER_2D_RECT, GL_INT_SAMPLER_3D, GL_INT_SAMPLER_BUFFER, GL_INT_SAMPLER_BUFFER_AMD, GL_INT_SAMPLER_CUBE, GL_INTENSITY_FLOAT16_APPLE, GL_INTENSITY_FLOAT16_ATI, GL_INTENSITY_FLOAT32_APPLE, GL_INTENSITY_FLOAT32_ATI, GL_INTERLEAVED_ATTRIBS, GL_LEFT, GL_LINE, GL_LINE_STRIP_ADJACENCY, GL_LINE_WIDTH_GRANULARITY, GL_LINE_WIDTH_RANGE, GL_LINES_ADJACENCY, GL_LOWER_LEFT, GL_LUMINANCE_ALPHA_FLOAT16_APPLE, GL_LUMINANCE_ALPHA_FLOAT16_ATI, GL_LUMINANCE_ALPHA_FLOAT32_APPLE, GL_LUMINANCE_ALPHA_FLOAT32_ATI, GL_LUMINANCE_FLOAT16_APPLE, GL_LUMINANCE_FLOAT16_ATI, GL_LUMINANCE_FLOAT32_APPLE, GL_LUMINANCE_FLOAT32_ATI, GL_MAJOR_VERSION, GL_MAP_FLUSH_EXPLICIT_BIT, GL_MAP_INVALIDATE_BUFFER_BIT, GL_MAP_INVALIDATE_RANGE_BIT, GL_MAP_READ_BIT, GL_MAP_UNSYNCHRONIZED_BIT, GL_MAP_WRITE_BIT, GL_MAX, GL_MAX_3D_TEXTURE_SIZE, GL_MAX_CLIP_DISTANCES, GL_MAX_COLOR_ATTACHMENTS, GL_MAX_DRAW_BUFFERS, GL_MAX_ELEMENTS_INDICES, GL_MAX_ELEMENTS_VERTICES, GL_MAX_FRAGMENT_UNIFORM_COMPONENTS, GL_MAX_GEOMETRY_OUTPUT_VERTICES, GL_MAX_GEOMETRY_TEXTURE_IMAGE_UNITS, GL_MAX_GEOMETRY_TOTAL_OUTPUT_COMPONENTS, GL_MAX_GEOMETRY_UNIFORM_COMPONENTS, GL_MAX_GEOMETRY_VARYING_COMPONENTS, GL_MAX_PROGRAM_TEXEL_OFFSET, GL_MAX_RECTANGLE_TEXTURE_SIZE, GL_MAX_RECTANGLE_TEXTURE_SIZE_ARB, GL_MAX_SAMPLES, GL_MAX_TEXTURE_BUFFER_SIZE, GL_MAX_TEXTURE_LOD_BIAS, GL_MAX_TRANSFORM_FEEDBACK_INTERLEAVED_COMPONENTS, GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_ATTRIBS, GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_COMPONENTS, GL_MAX_VARYING_COMPONENTS, GL_MAX_VARYING_FLOATS, GL_MAX_VERTEX_UNIFORM_COMPONENTS, GL_MAX_VERTEX_VARYING_COMPONENTS, GL_MIN, GL_MIN_PROGRAM_TEXEL_OFFSET, GL_MINOR_VERSION, GL_NUM_EXTENSIONS, GL_PACK_IMAGE_HEIGHT, GL_PACK_LSB_FIRST, GL_PACK_ROW_LENGTH, GL_PACK_SKIP_IMAGES, GL_PACK_SKIP_PIXELS, GL_PACK_SKIP_ROWS, GL_PACK_SWAP_BYTES, GL_PIXEL_PACK_BUFFER, GL_PIXEL_PACK_BUFFER_BINDING, GL_PIXEL_UNPACK_BUFFER, GL_PIXEL_UNPACK_BUFFER_BINDING, GL_POINT, GL_POINT_SIZE_GRANULARITY, GL_POINT_SIZE_RANGE, GL_POINT_SPRITE_COORD_ORIGIN, GL_POLYGON_OFFSET_LINE, GL_POLYGON_OFFSET_POINT, GL_POLYGON_SMOOTH, GL_POLYGON_SMOOTH_HINT, GL_PRIMITIVE_RESTART, GL_PRIMITIVE_RESTART_INDEX, GL_PRIMITIVES_GENERATED, GL_PROGRAM_POINT_SIZE, GL_PROXY_TEXTURE_1D, GL_PROXY_TEXTURE_1D_ARRAY, GL_PROXY_TEXTURE_2D, GL_PROXY_TEXTURE_2D_ARRAY, GL_PROXY_TEXTURE_3D, GL_PROXY_TEXTURE_CUBE_MAP, GL_PROXY_TEXTURE_RECTANGLE, GL_PROXY_TEXTURE_RECTANGLE_ARB, GL_QUERY_BY_REGION_NO_WAIT, GL_QUERY_BY_REGION_WAIT, GL_QUERY_COUNTER_BITS, GL_QUERY_NO_WAIT, GL_QUERY_RESULT, GL_QUERY_RESULT_AVAILABLE, GL_QUERY_WAIT, GL_R3_G3_B2, GL_RASTERIZER_DISCARD, GL_READ_BUFFER, GL_READ_FRAMEBUFFER, GL_READ_FRAMEBUFFER_BINDING, GL_READ_ONLY, GL_READ_WRITE, GL_RED, GL_RED_INTEGER, GL_RENDERBUFFER_SAMPLES, GL_RGB_FLOAT16_APPLE, GL_RGB_FLOAT16_ATI, GL_RGB_FLOAT32_APPLE, GL_RGB_FLOAT32_ATI, GL_RGB_INTEGER, GL_RGB10, GL_RGB10_A2, GL_RGB12, GL_RGB16, GL_RGB16F, GL_RGB16I, GL_RGB16UI, GL_RGB32F, GL_RGB32I, GL_RGB32UI, GL_RGB4, GL_RGB5, GL_RGB8I, GL_RGB8UI, GL_RGB9_E5, GL_RGBA_FLOAT16_APPLE, GL_RGBA_FLOAT16_ATI, GL_RGBA_FLOAT32_APPLE, GL_RGBA_FLOAT32_ATI, GL_RGBA_INTEGER, GL_RGBA12, GL_RGBA16, GL_RGBA16F, GL_RGBA16I, GL_RGBA16UI, GL_RGBA2, GL_RGBA32F, GL_RGBA32I, GL_RGBA32UI, GL_RGBA8I, GL_RGBA8UI, GL_RIGHT, GL_SAMPLER_1D, GL_SAMPLER_1D_ARRAY, GL_SAMPLER_1D_ARRAY_SHADOW, GL_SAMPLER_1D_SHADOW, GL_SAMPLER_2D_ARRAY_SHADOW, GL_SAMPLER_2D_SHADOW, GL_SAMPLER_3D, GL_SAMPLER_BUFFER, GL_SAMPLER_BUFFER_AMD, GL_SAMPLER_CUBE_SHADOW, GL_SAMPLES_PASSED, GL_SEPARATE_ATTRIBS, GL_SMOOTH_LINE_WIDTH_GRANULARITY, GL_SMOOTH_POINT_SIZE_GRANULARITY, GL_SRGB, GL_SRGB_ALPHA, GL_SRGB8, GL_SRGB8_ALPHA8, GL_STATIC_COPY, GL_STATIC_READ, GL_STENCIL, GL_STENCIL_BUFFER, GL_STENCIL_INDEX16, GL_STEREO, GL_STREAM_COPY, GL_STREAM_READ, GL_TESSELLATION_FACTOR_AMD, GL_TESSELLATION_MODE_AMD, GL_TEXTURE_1D, GL_TEXTURE_1D_ARRAY, GL_TEXTURE_3D, GL_TEXTURE_ALPHA_SIZE, GL_TEXTURE_ALPHA_TYPE, GL_TEXTURE_BASE_LEVEL, GL_TEXTURE_BINDING_1D, GL_TEXTURE_BINDING_1D_ARRAY, GL_TEXTURE_BINDING_3D, GL_TEXTURE_BINDING_BUFFER, GL_TEXTURE_BINDING_RECTANGLE, GL_TEXTURE_BINDING_RECTANGLE_ARB, GL_TEXTURE_BLUE_SIZE, GL_TEXTURE_BLUE_TYPE, GL_TEXTURE_BORDER, GL_TEXTURE_BORDER_COLOR, GL_TEXTURE_BUFFER, GL_TEXTURE_BUFFER_DATA_STORE_BINDING, GL_TEXTURE_BUFFER_FORMAT, GL_TEXTURE_COMPARE_FUNC, GL_TEXTURE_COMPARE_MODE, GL_TEXTURE_COMPRESSED, GL_TEXTURE_COMPRESSED_IMAGE_SIZE, GL_TEXTURE_COMPRESSION_HINT, GL_TEXTURE_DEPTH, GL_TEXTURE_DEPTH_SIZE, GL_TEXTURE_DEPTH_TYPE, GL_TEXTURE_FLOAT_COMPONENTS_NV, GL_TEXTURE_GREEN_SIZE, GL_TEXTURE_GREEN_TYPE, GL_TEXTURE_HEIGHT, GL_TEXTURE_INTERNAL_FORMAT, GL_TEXTURE_LOD_BIAS, GL_TEXTURE_MAX_LEVEL, GL_TEXTURE_MAX_LOD, GL_TEXTURE_MIN_LOD, GL_TEXTURE_RECTANGLE, GL_TEXTURE_RECTANGLE_ARB, GL_TEXTURE_RED_SIZE, GL_TEXTURE_RED_TYPE, GL_TEXTURE_SHARED_SIZE, GL_TEXTURE_STENCIL_SIZE, GL_TEXTURE_WIDTH, GL_TEXTURE_WRAP_R, GL_TRANSFORM_FEEDBACK_BUFFER, GL_TRANSFORM_FEEDBACK_BUFFER_BINDING, GL_TRANSFORM_FEEDBACK_BUFFER_MODE, GL_TRANSFORM_FEEDBACK_BUFFER_SIZE, GL_TRANSFORM_FEEDBACK_BUFFER_START, GL_TRANSFORM_FEEDBACK_PRIMITIVES_WRITTEN, GL_TRANSFORM_FEEDBACK_VARYING_MAX_LENGTH, GL_TRANSFORM_FEEDBACK_VARYINGS, GL_TRIANGLE_STRIP_ADJACENCY, GL_TRIANGLES_ADJACENCY, GL_UNPACK_IMAGE_HEIGHT, GL_UNPACK_LSB_FIRST, GL_UNPACK_ROW_LENGTH, GL_UNPACK_SKIP_IMAGES, GL_UNPACK_SKIP_PIXELS, GL_UNPACK_SKIP_ROWS, GL_UNPACK_SWAP_BYTES, GL_UNSIGNED_BYTE_2_3_3_REV, GL_UNSIGNED_BYTE_3_3_2, GL_UNSIGNED_INT_10_10_10_2, GL_UNSIGNED_INT_2_10_10_10_REV, GL_UNSIGNED_INT_24_8, GL_UNSIGNED_INT_5_9_9_9_REV, GL_UNSIGNED_INT_8_8_8_8, GL_UNSIGNED_INT_8_8_8_8_REV, GL_UNSIGNED_INT_SAMPLER_1D, GL_UNSIGNED_INT_SAMPLER_1D_ARRAY, GL_UNSIGNED_INT_SAMPLER_2D, GL_UNSIGNED_INT_SAMPLER_2D_ARRAY, GL_UNSIGNED_INT_SAMPLER_2D_RECT, GL_UNSIGNED_INT_SAMPLER_3D, GL_UNSIGNED_INT_SAMPLER_BUFFER, GL_UNSIGNED_INT_SAMPLER_BUFFER_AMD, GL_UNSIGNED_INT_SAMPLER_CUBE, GL_UNSIGNED_INT_VEC2, GL_UNSIGNED_INT_VEC3, GL_UNSIGNED_INT_VEC4, GL_UNSIGNED_NORMALIZED, GL_UNSIGNED_SHORT_1_5_5_5_REV, GL_UNSIGNED_SHORT_4_4_4_4_REV, GL_UNSIGNED_SHORT_5_6_5_REV, GL_UPPER_LEFT, GL_VERTEX_ARRAY_BINDING, GL_VERTEX_ATTRIB_ARRAY_INTEGER, GL_VERTEX_PROGRAM_POINT_SIZE`

Fields inherited from interface javax.media.opengl.GL2ES2
`GL_ACTIVE_ATTRIBUTE_MAX_LENGTH, GL_ACTIVE_ATTRIBUTES, GL_ACTIVE_UNIFORM_MAX_LENGTH, GL_ACTIVE_UNIFORMS, GL_ATTACHED_SHADERS, GL_BLEND_COLOR, GL_BOOL, GL_BOOL_VEC2, GL_BOOL_VEC3, GL_BOOL_VEC4, GL_COMPILE_STATUS, GL_CONSTANT_ALPHA, GL_CONSTANT_COLOR, GL_CURRENT_PROGRAM, GL_CURRENT_VERTEX_ATTRIB, GL_DELETE_STATUS, GL_DEPTH_COMPONENT, GL_FLOAT_MAT2, GL_FLOAT_MAT3, GL_FLOAT_MAT4, GL_FLOAT_VEC2, GL_FLOAT_VEC3, GL_FLOAT_VEC4, GL_FRAGMENT_SHADER, GL_FRAGMENT_SHADER_DERIVATIVE_HINT, GL_HIGH_FLOAT, GL_HIGH_INT, GL_INFO_LOG_LENGTH, GL_INT, GL_INT_VEC2, GL_INT_VEC3, GL_INT_VEC4, GL_LINK_STATUS, GL_LOW_FLOAT, GL_LOW_INT, GL_MAX_COMBINED_TEXTURE_IMAGE_UNITS, GL_MAX_FRAGMENT_UNIFORM_VECTORS, GL_MAX_TEXTURE_IMAGE_UNITS, GL_MAX_VARYING_VECTORS, GL_MAX_VERTEX_ATTRIBS, GL_MAX_VERTEX_TEXTURE_IMAGE_UNITS, GL_MAX_VERTEX_UNIFORM_VECTORS, GL_MEDIUM_FLOAT, GL_MEDIUM_INT, GL_NUM_SHADER_BINARY_FORMATS, GL_ONE_MINUS_CONSTANT_ALPHA, GL_ONE_MINUS_CONSTANT_COLOR, GL_PLATFORM_BINARY, GL_SAMPLER_2D, GL_SAMPLER_CUBE, GL_SHADER_BINARY_FORMATS, GL_SHADER_COMPILER, GL_SHADER_SOURCE_LENGTH, GL_SHADER_TYPE, GL_SHADING_LANGUAGE_VERSION, GL_STENCIL_BACK_FAIL, GL_STENCIL_BACK_FUNC, GL_STENCIL_BACK_PASS_DEPTH_FAIL, GL_STENCIL_BACK_PASS_DEPTH_PASS, GL_STENCIL_BACK_REF, GL_STENCIL_BACK_VALUE_MASK, GL_STENCIL_BACK_WRITEMASK, GL_STENCIL_INDEX, GL_STREAM_DRAW, GL_UNSIGNED_INT, GL_VALIDATE_STATUS, GL_VERTEX_ATTRIB_ARRAY_BUFFER_BINDING, GL_VERTEX_ATTRIB_ARRAY_ENABLED, GL_VERTEX_ATTRIB_ARRAY_NORMALIZED, GL_VERTEX_ATTRIB_ARRAY_POINTER, GL_VERTEX_ATTRIB_ARRAY_SIZE, GL_VERTEX_ATTRIB_ARRAY_STRIDE, GL_VERTEX_ATTRIB_ARRAY_TYPE, GL_VERTEX_SHADER`

Fields inherited from interface javax.media.opengl.GL
`GL_ACTIVE_TEXTURE, GL_ALIASED_LINE_WIDTH_RANGE, GL_ALIASED_POINT_SIZE_RANGE, GL_ALPHA, GL_ALPHA_BITS, GL_ALWAYS, GL_AND, GL_AND_INVERTED, GL_AND_REVERSE, GL_ARRAY_BUFFER, GL_ARRAY_BUFFER_BINDING, GL_BACK, GL_BLEND, GL_BLEND_DST, GL_BLEND_DST_ALPHA, GL_BLEND_DST_RGB, GL_BLEND_EQUATION, GL_BLEND_EQUATION_ALPHA, GL_BLEND_EQUATION_RGB, GL_BLEND_SRC, GL_BLEND_SRC_ALPHA, GL_BLEND_SRC_RGB, GL_BLUE_BITS, GL_BUFFER_ACCESS, GL_BUFFER_MAP_POINTER, GL_BUFFER_MAPPED, GL_BUFFER_SIZE, GL_BUFFER_USAGE, GL_BYTE, GL_CCW, GL_CLAMP_TO_EDGE, GL_CLEAR, GL_COLOR_ATTACHMENT0, GL_COLOR_BUFFER_BIT, GL_COLOR_CLEAR_VALUE, GL_COLOR_LOGIC_OP, GL_COLOR_WRITEMASK, GL_COMPRESSED_RGB_S3TC_DXT1_EXT, GL_COMPRESSED_RGBA_S3TC_DXT1_EXT, GL_COMPRESSED_RGBA_S3TC_DXT3_EXT, GL_COMPRESSED_RGBA_S3TC_DXT5_EXT, GL_COMPRESSED_TEXTURE_FORMATS, GL_COPY, GL_COPY_INVERTED, GL_CULL_FACE, GL_CULL_FACE_MODE, GL_CW, GL_DECR, GL_DECR_WRAP, GL_DEPTH_ATTACHMENT, GL_DEPTH_BITS, GL_DEPTH_BUFFER_BIT, GL_DEPTH_CLEAR_VALUE, GL_DEPTH_COMPONENT16, GL_DEPTH_COMPONENT24, GL_DEPTH_COMPONENT32, GL_DEPTH_FUNC, GL_DEPTH_RANGE, GL_DEPTH_TEST, GL_DEPTH_WRITEMASK, GL_DITHER, GL_DONT_CARE, GL_DST_ALPHA, GL_DST_COLOR, GL_DYNAMIC_DRAW, GL_ELEMENT_ARRAY_BUFFER, GL_ELEMENT_ARRAY_BUFFER_BINDING, GL_EQUAL, GL_EQUIV, GL_EXTENSIONS, GL_FALSE, GL_FASTEST, GL_FIXED, GL_FLOAT, GL_FRAMEBUFFER, GL_FRAMEBUFFER_ATTACHMENT_OBJECT_NAME, GL_FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE, GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE, GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER, GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL, GL_FRAMEBUFFER_BINDING, GL_FRAMEBUFFER_COMPLETE, GL_FRAMEBUFFER_INCOMPLETE_ATTACHMENT, GL_FRAMEBUFFER_INCOMPLETE_DIMENSIONS, GL_FRAMEBUFFER_INCOMPLETE_FORMATS, GL_FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT, GL_FRAMEBUFFER_UNSUPPORTED, GL_FRONT, GL_FRONT_AND_BACK, GL_FRONT_FACE, GL_FUNC_ADD, GL_FUNC_REVERSE_SUBTRACT, GL_FUNC_SUBTRACT, GL_GENERATE_MIPMAP_HINT, GL_GEQUAL, GL_GREATER, GL_GREEN_BITS, GL_HALF_FLOAT, GL_IMPLEMENTATION_COLOR_READ_FORMAT, GL_IMPLEMENTATION_COLOR_READ_TYPE, GL_INCR, GL_INCR_WRAP, GL_INVALID_ENUM, GL_INVALID_FRAMEBUFFER_OPERATION, GL_INVALID_OPERATION, GL_INVALID_VALUE, GL_INVERT, GL_KEEP, GL_LEQUAL, GL_LESS, GL_LINE_LOOP, GL_LINE_SMOOTH, GL_LINE_SMOOTH_HINT, GL_LINE_STRIP, GL_LINE_WIDTH, GL_LINEAR, GL_LINEAR_MIPMAP_LINEAR, GL_LINEAR_MIPMAP_NEAREST, GL_LINES, GL_LOGIC_OP_MODE, GL_LUMINANCE, GL_LUMINANCE_ALPHA, GL_MAX_ARRAY_TEXTURE_LAYERS, GL_MAX_CUBE_MAP_TEXTURE_SIZE, GL_MAX_RENDERBUFFER_SIZE, GL_MAX_TEXTURE_MAX_ANISOTROPY_EXT, GL_MAX_TEXTURE_SIZE, GL_MAX_VIEWPORT_DIMS, GL_MIRRORED_REPEAT, GL_MULTISAMPLE, GL_NAND, GL_NEAREST, GL_NEAREST_MIPMAP_LINEAR, GL_NEAREST_MIPMAP_NEAREST, GL_NEVER, GL_NICEST, GL_NO_ERROR, GL_NONE, GL_NOOP, GL_NOR, GL_NOTEQUAL, GL_NUM_COMPRESSED_TEXTURE_FORMATS, GL_ONE, GL_ONE_MINUS_DST_ALPHA, GL_ONE_MINUS_DST_COLOR, GL_ONE_MINUS_SRC_ALPHA, GL_ONE_MINUS_SRC_COLOR, GL_OR, GL_OR_INVERTED, GL_OR_REVERSE, GL_OUT_OF_MEMORY, GL_PACK_ALIGNMENT, GL_POINT_FADE_THRESHOLD_SIZE, GL_POINT_SIZE, GL_POINTS, GL_POLYGON_OFFSET_FACTOR, GL_POLYGON_OFFSET_FILL, GL_POLYGON_OFFSET_UNITS, GL_R11F_G11F_B10F, GL_RED_BITS, GL_RENDERBUFFER, GL_RENDERBUFFER_ALPHA_SIZE, GL_RENDERBUFFER_BINDING, GL_RENDERBUFFER_BLUE_SIZE, GL_RENDERBUFFER_DEPTH_SIZE, GL_RENDERBUFFER_GREEN_SIZE, GL_RENDERBUFFER_HEIGHT, GL_RENDERBUFFER_INTERNAL_FORMAT, GL_RENDERBUFFER_RED_SIZE, GL_RENDERBUFFER_STENCIL_SIZE, GL_RENDERBUFFER_WIDTH, GL_RENDERER, GL_REPEAT, GL_REPLACE, GL_RGB, GL_RGB5_A1, GL_RGB565, GL_RGB8, GL_RGBA, GL_RGBA_SIGNED_COMPONENTS, GL_RGBA4, GL_RGBA8, GL_SAMPLE_ALPHA_TO_COVERAGE, GL_SAMPLE_ALPHA_TO_ONE, GL_SAMPLE_BUFFERS, GL_SAMPLE_COVERAGE, GL_SAMPLE_COVERAGE_INVERT, GL_SAMPLE_COVERAGE_VALUE, GL_SAMPLER_2D_ARRAY, GL_SAMPLES, GL_SCISSOR_BOX, GL_SCISSOR_TEST, GL_SET, GL_SHORT, GL_SMOOTH_LINE_WIDTH_RANGE, GL_SMOOTH_POINT_SIZE_RANGE, GL_SRC_ALPHA, GL_SRC_ALPHA_SATURATE, GL_SRC_COLOR, GL_STATIC_DRAW, GL_STENCIL_ATTACHMENT, GL_STENCIL_BITS, GL_STENCIL_BUFFER_BIT, GL_STENCIL_CLEAR_VALUE, GL_STENCIL_FAIL, GL_STENCIL_FUNC, GL_STENCIL_INDEX1, GL_STENCIL_INDEX4, GL_STENCIL_INDEX8, GL_STENCIL_PASS_DEPTH_FAIL, GL_STENCIL_PASS_DEPTH_PASS, GL_STENCIL_REF, GL_STENCIL_TEST, GL_STENCIL_VALUE_MASK, GL_STENCIL_WRITEMASK, GL_SUBPIXEL_BITS, GL_TEXTURE, GL_TEXTURE_2D, GL_TEXTURE_2D_ARRAY, GL_TEXTURE_BINDING_2D, GL_TEXTURE_BINDING_2D_ARRAY, GL_TEXTURE_BINDING_CUBE_MAP, GL_TEXTURE_CUBE_MAP, GL_TEXTURE_CUBE_MAP_NEGATIVE_X, GL_TEXTURE_CUBE_MAP_NEGATIVE_Y, GL_TEXTURE_CUBE_MAP_NEGATIVE_Z, GL_TEXTURE_CUBE_MAP_POSITIVE_X, GL_TEXTURE_CUBE_MAP_POSITIVE_Y, GL_TEXTURE_CUBE_MAP_POSITIVE_Z, GL_TEXTURE_MAG_FILTER, GL_TEXTURE_MAX_ANISOTROPY_EXT, GL_TEXTURE_MIN_FILTER, GL_TEXTURE_WRAP_S, GL_TEXTURE_WRAP_T, GL_TEXTURE0, GL_TEXTURE1, GL_TEXTURE10, GL_TEXTURE11, GL_TEXTURE12, GL_TEXTURE13, GL_TEXTURE14, GL_TEXTURE15, GL_TEXTURE16, GL_TEXTURE17, GL_TEXTURE18, GL_TEXTURE19, GL_TEXTURE2, GL_TEXTURE20, GL_TEXTURE21, GL_TEXTURE22, GL_TEXTURE23, GL_TEXTURE24, GL_TEXTURE25, GL_TEXTURE26, GL_TEXTURE27, GL_TEXTURE28, GL_TEXTURE29, GL_TEXTURE3, GL_TEXTURE30, GL_TEXTURE31, GL_TEXTURE4, GL_TEXTURE5, GL_TEXTURE6, GL_TEXTURE7, GL_TEXTURE8, GL_TEXTURE9, GL_TRIANGLE_FAN, GL_TRIANGLE_STRIP, GL_TRIANGLES, GL_TRUE, GL_UNPACK_ALIGNMENT, GL_UNSIGNED_BYTE, GL_UNSIGNED_INT_10F_11F_11F_REV, GL_UNSIGNED_SHORT, GL_UNSIGNED_SHORT_4_4_4_4, GL_UNSIGNED_SHORT_5_5_5_1, GL_UNSIGNED_SHORT_5_6_5, GL_VENDOR, GL_VERSION, GL_VIEWPORT, GL_WRITE_ONLY, GL_XOR, GL_ZERO`

Method Summary
`int` | `glClientWaitSync(long sync, int flags, long timeout)` Entry point to C language function: `GLenum glClientWaitSync(GLsync sync, GLbitfield flags, uint64_t timeout);` Part of `GL_ARB_sync`
`void` | `glCopyBufferSubData(int readTarget, int writeTarget, int readOffset, int writeOffset, int size)` Entry point to C language function: `void glCopyBufferSubData(GLenum readTarget, GLenum writeTarget, ptrdiff_t readOffset, ptrdiff_t writeOffset, ptrdiff_t size);` Part of `GL_ARB_copy_buffer`
`void` | `glDeleteSync(long sync)` Entry point to C language function: `void glDeleteSync(GLsync sync);` Part of `GL_ARB_sync`
`void` | `glDrawElementsBaseVertex(int mode, int count, int type, Buffer indices, int basevertex)` Entry point to C language function: `void glDrawElementsBaseVertex(GLenum mode, GLsizei count, GLenum type, GLvoid * indices, GLint basevertex);` Part of `GL_ARB_draw_elements_base_vertex`
`void` | `glDrawElementsInstancedBaseVertex(int mode, int count, int type, Buffer indices, int primcount, int basevertex)` Entry point to C language function: `void glDrawElementsInstancedBaseVertex(GLenum mode, GLsizei count, GLenum type, const GLvoid * indices, GLsizei primcount, GLint basevertex);` Part of `GL_ARB_draw_elements_base_vertex`
`void` | `glDrawRangeElementsBaseVertex(int mode, int start, int end, int count, int type, Buffer indices, int basevertex)` Entry point to C language function: `void glDrawRangeElementsBaseVertex(GLenum mode, GLuint start, GLuint end, GLsizei count, GLenum type, GLvoid * indices, GLint basevertex);` Part of `GL_ARB_draw_elements_base_vertex`
`long` | `glFenceSync(int condition, int flags)` Entry point to C language function: `GLsync glFenceSync(GLenum condition, GLbitfield flags);` Part of `GL_ARB_sync`
`void` | `glGetActiveUniformBlockiv(int target, int attachment, int pname, int[] params, int params_offset)` Entry point to C language function: `void glGetActiveUniformBlockiv(GLuint target, GLuint attachment, GLenum pname, GLint * params);` Part of `GL_ARB_uniform_buffer_object`
`void` | `glGetActiveUniformBlockiv(int target, int attachment, int pname, IntBuffer params)` Entry point to C language function: `void glGetActiveUniformBlockiv(GLuint target, GLuint attachment, GLenum pname, GLint * params);` Part of `GL_ARB_uniform_buffer_object`
`void` | `glGetActiveUniformBlockName(int program, int uniformIndex, int bufSize, int[] length, int length_offset, byte[] uniformName, int uniformName_offset)` Entry point to C language function: `void glGetActiveUniformBlockName(GLuint program, GLuint uniformIndex, GLsizei bufSize, GLsizei * length, GLchar * uniformName);` Part of `GL_ARB_uniform_buffer_object`
`void` | `glGetActiveUniformBlockName(int program, int uniformIndex, int bufSize, IntBuffer length, ByteBuffer uniformName)` Entry point to C language function: `void glGetActiveUniformBlockName(GLuint program, GLuint uniformIndex, GLsizei bufSize, GLsizei * length, GLchar * uniformName);` Part of `GL_ARB_uniform_buffer_object`
`void` | `glGetActiveUniformName(int program, int uniformIndex, int bufSize, int[] length, int length_offset, byte[] uniformName, int uniformName_offset)` Entry point to C language function: `void glGetActiveUniformName(GLuint program, GLuint uniformIndex, GLsizei bufSize, GLsizei * length, GLchar * uniformName);` Part of `GL_ARB_uniform_buffer_object`
`void` | `glGetActiveUniformName(int program, int uniformIndex, int bufSize, IntBuffer length, ByteBuffer uniformName)` Entry point to C language function: `void glGetActiveUniformName(GLuint program, GLuint uniformIndex, GLsizei bufSize, GLsizei * length, GLchar * uniformName);` Part of `GL_ARB_uniform_buffer_object`
`void` | `glGetActiveUniformsiv(int program, int uniformCount, int[] uniformIndices, int uniformIndices_offset, int pname, int[] params, int params_offset)` Entry point to C language function: `void glGetActiveUniformsiv(GLuint program, GLsizei uniformCount, const GLuint * uniformIndices, GLenum pname, GLint * params);` Part of `GL_ARB_uniform_buffer_object`
`void` | `glGetActiveUniformsiv(int program, int uniformCount, IntBuffer uniformIndices, int pname, IntBuffer params)` Entry point to C language function: `void glGetActiveUniformsiv(GLuint program, GLsizei uniformCount, const GLuint * uniformIndices, GLenum pname, GLint * params);` Part of `GL_ARB_uniform_buffer_object`
`void` | `glGetInteger64v(int pname, long[] params, int params_offset)` Entry point to C language function: `void glGetInteger64v(GLenum pname, int64_t * params);` Part of `GL_ARB_sync`
`void` | `glGetInteger64v(int pname, com.sun.gluegen.runtime.PointerBuffer params)` Entry point to C language function: `void glGetInteger64v(GLenum pname, int64_t * params);` Part of `GL_ARB_sync`
`void` | `glGetMultisamplefv(int pname, int index, float[] val, int val_offset)` Entry point to C language function: `void glGetMultisamplefv(GLenum pname, GLuint index, GLfloat * val);` Part of `GL_ARB_texture_multisample`
`void` | `glGetMultisamplefv(int pname, int index, FloatBuffer val)` Entry point to C language function: `void glGetMultisamplefv(GLenum pname, GLuint index, GLfloat * val);` Part of `GL_ARB_texture_multisample`
`void` | `glGetSynciv(long sync, int pname, int bufSize, int[] length, int length_offset, int[] values, int values_offset)` Entry point to C language function: `void glGetSynciv(GLsync sync, GLenum pname, GLsizei bufSize, GLsizei * length, GLint * values);` Part of `GL_ARB_sync`
`void` | `glGetSynciv(long sync, int pname, int bufSize, IntBuffer length, IntBuffer values)` Entry point to C language function: `void glGetSynciv(GLsync sync, GLenum pname, GLsizei bufSize, GLsizei * length, GLint * values);` Part of `GL_ARB_sync`
`int` | `glGetUniformBlockIndex(int program, String uniformBlockName)` Entry point to C language function: `GLuint glGetUniformBlockIndex(GLuint program, const GLchar * uniformBlockName);` Part of `GL_ARB_uniform_buffer_object`
`void` | `glGetUniformIndices(int program, int uniformCount, String[] uniformNames, int[] uniformIndices, int uniformIndices_offset)` Entry point to C language function: `void glGetUniformIndices(GLuint program, GLsizei uniformCount, const GLchar * * uniformNames, GLuint * uniformIndices);` Part of `GL_ARB_uniform_buffer_object`
`void` | `glGetUniformIndices(int program, int uniformCount, String[] uniformNames, IntBuffer uniformIndices)` Entry point to C language function: `void glGetUniformIndices(GLuint program, GLsizei uniformCount, const GLchar * * uniformNames, GLuint * uniformIndices);` Part of `GL_ARB_uniform_buffer_object`
`boolean` | `glIsSync(long sync)` Entry point to C language function: `GLboolean glIsSync(GLsync sync);` Part of `GL_ARB_sync`
`void` | `glProvokingVertex(int mode)` Entry point to C language function: `void glProvokingVertex(GLenum mode);` Part of `GL_ARB_provoking_vertex`
`void` | `glSampleMaski(int index, int mask)` Entry point to C language function: `void glSampleMaski(GLuint index, GLbitfield mask);` Part of `GL_ARB_texture_multisample`
`void` | `glTexImage2DMultisample(int target, int samples, int internalformat, int width, int height, boolean fixedsamplelocations)` Entry point to C language function: `void glTexImage2DMultisample(GLenum target, GLsizei samples, GLint internalformat, GLsizei width, GLsizei height, GLboolean fixedsamplelocations);` Part of `GL_ARB_texture_multisample`
`void` | `glTexImage3DMultisample(int target, int samples, int internalformat, int width, int height, int depth, boolean fixedsamplelocations)` Entry point to C language function: `void glTexImage3DMultisample(GLenum target, GLsizei samples, GLint internalformat, GLsizei width, GLsizei height, GLsizei depth, GLboolean fixedsamplelocations);` Part of `GL_ARB_texture_multisample`
`void` | `glUniformBlockBinding(int fail, int zfail, int zpass)` Entry point to C language function: `void glUniformBlockBinding(GLuint fail, GLuint zfail, GLuint zpass);` Part of `GL_ARB_uniform_buffer_object`
`void` | `glWaitSync(long sync, int flags, long timeout)` Entry point to C language function: `void glWaitSync(GLsync sync, GLbitfield flags, uint64_t timeout);` Part of `GL_ARB_sync`

Methods inherited from interface javax.media.opengl.GL2GL3
`glAllocateMemoryNV, glBeginConditionalRender, glBeginQuery, glBeginTransformFeedback, glBindBufferBase, glBindBufferRange, glBindFragDataLocation, glBindVertexArray, glBlitFramebuffer, glClampColor, glClearBufferfi, glClearBufferfv, glClearBufferfv, glClearBufferiv, glClearBufferiv, glClearBufferuiv, glClearBufferuiv, glColorMaski, glCompressedTexImage1D, glCompressedTexImage1D, glCompressedTexImage3D, glCompressedTexImage3D, glCompressedTexSubImage1D, glCompressedTexSubImage1D, glCompressedTexSubImage3D, glCompressedTexSubImage3D, glCopyTexImage1D, glCopyTexSubImage1D, glCopyTexSubImage3D, glDeleteQueries, glDeleteQueries, glDeleteVertexArrays, glDeleteVertexArrays, glDisablei, glDrawArraysInstanced, glDrawBuffer, glDrawBuffers, glDrawBuffers, glDrawElementsInstanced, glDrawRangeElements, glDrawRangeElements, glEnablei, glEndConditionalRender, glEndQuery, glEndTransformFeedback, glFlushMappedBufferRange, glFramebufferTexture, glFramebufferTexture1D, glFramebufferTexture3D, glFramebufferTextureFace, glFramebufferTextureLayer, glGenQueries, glGenQueries, glGenVertexArrays, glGenVertexArrays, glGetBooleani_v, glGetBooleani_v, glGetBufferSubData, glGetCompressedTexImage, glGetCompressedTexImage, glGetDoublev, glGetDoublev, glGetFragDataLocation, glGetIntegeri_v, glGetIntegeri_v, glGetQueryiv, glGetQueryiv, glGetQueryObjectiv, glGetQueryObjectiv, glGetQueryObjectuiv, glGetQueryObjectuiv, glGetStringi, glGetTexImage, glGetTexImage, glGetTexLevelParameterfv, glGetTexLevelParameterfv, glGetTexLevelParameteriv, glGetTexLevelParameteriv, glGetTexParameterIiv, glGetTexParameterIiv, glGetTexParameterIuiv, glGetTexParameterIuiv, glGetTransformFeedbackVarying, glGetTransformFeedbackVarying, glGetUniformuiv, glGetUniformuiv, glGetVertexAttribdv, glGetVertexAttribdv, glGetVertexAttribIiv, glGetVertexAttribIiv, glGetVertexAttribIuiv, glGetVertexAttribIuiv, glIsEnabledi, glIsQuery, glIsVertexArray, glLogicOp, glMapBufferRange, glMultiDrawArrays, glMultiDrawArrays, glMultiDrawElements, glMultiDrawElements, glPixelStoref, glPointParameterf, glPointParameterfv, glPointParameterfv, glPointParameteri, glPointParameteriv, glPointParameteriv, glPointSize, glPolygonMode, glPrimitiveRestartIndex, glProgramParameteri, glReadBuffer, glRenderbufferStorageMultisample, glTessellationFactorAMD, glTessellationModeAMD, glTexBuffer, glTexImage1D, glTexImage1D, glTexImage3D, glTexImage3D, glTexParameterIiv, glTexParameterIiv, glTexParameterIuiv, glTexParameterIuiv, glTexSubImage1D, glTexSubImage1D, glTexSubImage3D, glTexSubImage3D, glTransformFeedbackVaryings, glUniform1ui, glUniform1uiv, glUniform1uiv, glUniform2ui, glUniform2uiv, glUniform2uiv, glUniform3ui, glUniform3uiv, glUniform3uiv, glUniform4ui, glUniform4uiv, glUniform4uiv, glUniformMatrix2x3fv, glUniformMatrix2x3fv, glUniformMatrix2x4fv, glUniformMatrix2x4fv, glUniformMatrix3x2fv, glUniformMatrix3x2fv, glUniformMatrix3x4fv, glUniformMatrix3x4fv, glUniformMatrix4x2fv, glUniformMatrix4x2fv, glUniformMatrix4x3fv, glUniformMatrix4x3fv, glVertexAttrib1d, glVertexAttrib1dv, glVertexAttrib1dv, glVertexAttrib1s, glVertexAttrib1sv, glVertexAttrib1sv, glVertexAttrib2d, glVertexAttrib2dv, glVertexAttrib2dv, glVertexAttrib2s, glVertexAttrib2sv, glVertexAttrib2sv, glVertexAttrib3d, glVertexAttrib3dv, glVertexAttrib3dv, glVertexAttrib3s, glVertexAttrib3sv, glVertexAttrib3sv, glVertexAttrib4bv, glVertexAttrib4bv, glVertexAttrib4d, glVertexAttrib4dv, glVertexAttrib4dv, glVertexAttrib4iv, glVertexAttrib4iv, glVertexAttrib4Nbv, glVertexAttrib4Nbv, glVertexAttrib4Niv, glVertexAttrib4Niv, glVertexAttrib4Nsv, glVertexAttrib4Nsv, glVertexAttrib4Nub, glVertexAttrib4Nubv, glVertexAttrib4Nubv, glVertexAttrib4Nuiv, glVertexAttrib4Nuiv, glVertexAttrib4Nusv, glVertexAttrib4Nusv, glVertexAttrib4s, glVertexAttrib4sv, glVertexAttrib4sv, glVertexAttrib4ubv, glVertexAttrib4ubv, glVertexAttrib4uiv, glVertexAttrib4uiv, glVertexAttrib4usv, glVertexAttrib4usv, glVertexAttribIPointer`

Methods inherited from interface javax.media.opengl.GL2ES2
`glAttachShader, glBindAttribLocation, glBlendColor, glClearDepth, glCompileShader, glCreateProgram, glCreateShader, glDeleteProgram, glDeleteShader, glDepthRange, glDetachShader, glDisableVertexAttribArray, glEnableVertexAttribArray, glGetActiveAttrib, glGetActiveAttrib, glGetActiveUniform, glGetActiveUniform, glGetAttachedShaders, glGetAttachedShaders, glGetAttribLocation, glGetProgramInfoLog, glGetProgramInfoLog, glGetProgramiv, glGetProgramiv, glGetShaderInfoLog, glGetShaderInfoLog, glGetShaderiv, glGetShaderiv, glGetShaderSource, glGetShaderSource, glGetUniformfv, glGetUniformfv, glGetUniformiv, glGetUniformiv, glGetUniformLocation, glGetVertexAttribfv, glGetVertexAttribfv, glGetVertexAttribiv, glGetVertexAttribiv, glIsProgram, glIsShader, glLinkProgram, glReleaseShaderCompiler, glShaderBinary, glShaderBinary, glShaderSource, glShaderSource, glStencilFuncSeparate, glStencilMaskSeparate, glStencilOpSeparate, glUniform, glUniform1f, glUniform1fv, glUniform1fv, glUniform1i, glUniform1iv, glUniform1iv, glUniform2f, glUniform2fv, glUniform2fv, glUniform2i, glUniform2iv, glUniform2iv, glUniform3f, glUniform3fv, glUniform3fv, glUniform3i, glUniform3iv, glUniform3iv, glUniform4f, glUniform4fv, glUniform4fv, glUniform4i, glUniform4iv, glUniform4iv, glUniformMatrix2fv, glUniformMatrix2fv, glUniformMatrix3fv, glUniformMatrix3fv, glUniformMatrix4fv, glUniformMatrix4fv, glUseProgram, glValidateProgram, glVertexAttrib1f, glVertexAttrib1fv, glVertexAttrib1fv, glVertexAttrib2f, glVertexAttrib2fv, glVertexAttrib2fv, glVertexAttrib3f, glVertexAttrib3fv, glVertexAttrib3fv, glVertexAttrib4f, glVertexAttrib4fv, glVertexAttrib4fv, glVertexAttribPointer, glVertexAttribPointer, glVertexAttribPointer`

Methods inherited from interface javax.media.opengl.GL
`glActiveTexture, glBindBuffer, glBindFramebuffer, glBindRenderbuffer, glBindTexture, glBlendEquation, glBlendEquationSeparate, glBlendFunc, glBlendFuncSeparate, glBufferData, glBufferSubData, glCheckFramebufferStatus, glClear, glClearColor, glClearDepthf, glClearStencil, glColorMask, glCompressedTexImage2D, glCompressedTexImage2D, glCompressedTexSubImage2D, glCompressedTexSubImage2D, glCopyTexImage2D, glCopyTexSubImage2D, glCullFace, glDeleteBuffers, glDeleteBuffers, glDeleteFramebuffers, glDeleteFramebuffers, glDeleteRenderbuffers, glDeleteRenderbuffers, glDeleteTextures, glDeleteTextures, glDepthFunc, glDepthMask, glDepthRangef, glDisable, glDrawArrays, glDrawElements, glDrawElements, glEnable, glFinish, glFlush, glFramebufferRenderbuffer, glFramebufferTexture2D, glFrontFace, glGenBuffers, glGenBuffers, glGenerateMipmap, glGenFramebuffers, glGenFramebuffers, glGenRenderbuffers, glGenRenderbuffers, glGenTextures, glGenTextures, glGetBooleanv, glGetBooleanv, glGetBoundBuffer, glGetBufferParameteriv, glGetBufferParameteriv, glGetError, glGetFloatv, glGetFloatv, glGetFramebufferAttachmentParameteriv, glGetFramebufferAttachmentParameteriv, glGetIntegerv, glGetIntegerv, glGetRenderbufferParameteriv, glGetRenderbufferParameteriv, glGetString, glGetTexParameterfv, glGetTexParameterfv, glGetTexParameteriv, glGetTexParameteriv, glHint, glIsBuffer, glIsEnabled, glIsFramebuffer, glIsRenderbuffer, glIsTexture, glIsVBOArrayEnabled, glIsVBOElementEnabled, glLineWidth, glMapBuffer, glPixelStorei, glPolygonOffset, glReadPixels, glReadPixels, glRenderbufferStorage, glSampleCoverage, glScissor, glStencilFunc, glStencilMask, glStencilOp, glTexImage2D, glTexImage2D, glTexParameterf, glTexParameterfv, glTexParameterfv, glTexParameteri, glTexParameteriv, glTexParameteriv, glTexSubImage2D, glTexSubImage2D, glUnmapBuffer, glViewport`

Methods inherited from interface javax.media.opengl.GLBase
`getContext, getExtension, getGL, getGL2, getGL2ES1, getGL2ES2, getGL2GL3, getGL3, getGLES1, getGLES2, getGLProfile, getPlatformGLExtensions, getSwapInterval, hasGLSL, isExtensionAvailable, isFunctionAvailable, isGL, isGL2, isGL2ES1, isGL2ES2, isGL2GL3, isGL3, isGLES, isGLES1, isGLES2, setSwapInterval`

Field Detail

### GL_COMPARE_REF_TO_TEXTURE

    static final int GL_COMPARE_REF_TO_TEXTURE

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_SAMPLER_2D_RECT

    static final int GL_SAMPLER_2D_RECT

  Part of `GL_VERSION_3_1`

  See Also:
    Constant Field Values

### GL_SAMPLER_2D_RECT_SHADOW

    static final int GL_SAMPLER_2D_RECT_SHADOW

  Part of `GL_VERSION_3_1`

  See Also:
    Constant Field Values

### GL_RED_SNORM

    static final int GL_RED_SNORM

  Part of `GL_VERSION_3_1`

  See Also:
    Constant Field Values

### GL_RG_SNORM

    static final int GL_RG_SNORM

  Part of `GL_VERSION_3_1`

  See Also:
    Constant Field Values

### GL_RGB_SNORM

    static final int GL_RGB_SNORM

  Part of `GL_VERSION_3_1`

  See Also:
    Constant Field Values

### GL_RGBA_SNORM

    static final int GL_RGBA_SNORM

  Part of `GL_VERSION_3_1`

  See Also:
    Constant Field Values

### GL_R8_SNORM

    static final int GL_R8_SNORM

  Part of `GL_VERSION_3_1`

  See Also:
    Constant Field Values

### GL_RG8_SNORM

    static final int GL_RG8_SNORM

  Part of `GL_VERSION_3_1`

  See Also:
    Constant Field Values

### GL_RGB8_SNORM

    static final int GL_RGB8_SNORM

  Part of `GL_VERSION_3_1`

  See Also:
    Constant Field Values

### GL_RGBA8_SNORM

    static final int GL_RGBA8_SNORM

  Part of `GL_VERSION_3_1`

  See Also:
    Constant Field Values

### GL_R16_SNORM

    static final int GL_R16_SNORM

  Part of `GL_VERSION_3_1`

  See Also:
    Constant Field Values

### GL_RG16_SNORM

    static final int GL_RG16_SNORM

  Part of `GL_VERSION_3_1`

  See Also:
    Constant Field Values

### GL_RGB16_SNORM

    static final int GL_RGB16_SNORM

  Part of `GL_VERSION_3_1`

  See Also:
    Constant Field Values

### GL_RGBA16_SNORM

    static final int GL_RGBA16_SNORM

  Part of `GL_VERSION_3_1`

  See Also:
    Constant Field Values

### GL_SIGNED_NORMALIZED

    static final int GL_SIGNED_NORMALIZED

  Part of `GL_VERSION_3_1`

  See Also:
    Constant Field Values

### GL_UNIFORM_BUFFER

    static final int GL_UNIFORM_BUFFER

  Part of `GL_ARB_uniform_buffer_object`

  See Also:
    Constant Field Values

### GL_UNIFORM_BUFFER_BINDING

    static final int GL_UNIFORM_BUFFER_BINDING

  Part of `GL_ARB_uniform_buffer_object`

  See Also:
    Constant Field Values

### GL_UNIFORM_BUFFER_START

    static final int GL_UNIFORM_BUFFER_START

  Part of `GL_ARB_uniform_buffer_object`

  See Also:
    Constant Field Values

### GL_UNIFORM_BUFFER_SIZE

    static final int GL_UNIFORM_BUFFER_SIZE

  Part of `GL_ARB_uniform_buffer_object`

  See Also:
    Constant Field Values

### GL_MAX_VERTEX_UNIFORM_BLOCKS

    static final int GL_MAX_VERTEX_UNIFORM_BLOCKS

  Part of `GL_ARB_uniform_buffer_object`

  See Also:
    Constant Field Values

### GL_MAX_GEOMETRY_UNIFORM_BLOCKS

    static final int GL_MAX_GEOMETRY_UNIFORM_BLOCKS

  Part of `GL_ARB_uniform_buffer_object`

  See Also:
    Constant Field Values

### GL_MAX_FRAGMENT_UNIFORM_BLOCKS

    static final int GL_MAX_FRAGMENT_UNIFORM_BLOCKS

  Part of `GL_ARB_uniform_buffer_object`

  See Also:
    Constant Field Values

### GL_MAX_COMBINED_UNIFORM_BLOCKS

    static final int GL_MAX_COMBINED_UNIFORM_BLOCKS

  Part of `GL_ARB_uniform_buffer_object`

  See Also:
    Constant Field Values

### GL_MAX_UNIFORM_BUFFER_BINDINGS

    static final int GL_MAX_UNIFORM_BUFFER_BINDINGS

  Part of `GL_ARB_uniform_buffer_object`

  See Also:
    Constant Field Values

### GL_MAX_UNIFORM_BLOCK_SIZE

    static final int GL_MAX_UNIFORM_BLOCK_SIZE

  Part of `GL_ARB_uniform_buffer_object`

  See Also:
    Constant Field Values

### GL_MAX_COMBINED_VERTEX_UNIFORM_COMPONENTS

    static final int GL_MAX_COMBINED_VERTEX_UNIFORM_COMPONENTS

  Part of `GL_ARB_uniform_buffer_object`

  See Also:
    Constant Field Values

### GL_MAX_COMBINED_GEOMETRY_UNIFORM_COMPONENTS

    static final int GL_MAX_COMBINED_GEOMETRY_UNIFORM_COMPONENTS

  Part of `GL_ARB_uniform_buffer_object`

  See Also:
    Constant Field Values

### GL_MAX_COMBINED_FRAGMENT_UNIFORM_COMPONENTS

    static final int GL_MAX_COMBINED_FRAGMENT_UNIFORM_COMPONENTS

  Part of `GL_ARB_uniform_buffer_object`

  See Also:
    Constant Field Values

### GL_UNIFORM_BUFFER_OFFSET_ALIGNMENT

    static final int GL_UNIFORM_BUFFER_OFFSET_ALIGNMENT

  Part of `GL_ARB_uniform_buffer_object`

  See Also:
    Constant Field Values

### GL_ACTIVE_UNIFORM_BLOCK_MAX_NAME_LENGTH

    static final int GL_ACTIVE_UNIFORM_BLOCK_MAX_NAME_LENGTH

  Part of `GL_ARB_uniform_buffer_object`

  See Also:
    Constant Field Values

### GL_ACTIVE_UNIFORM_BLOCKS

    static final int GL_ACTIVE_UNIFORM_BLOCKS

  Part of `GL_ARB_uniform_buffer_object`

  See Also:
    Constant Field Values

### GL_UNIFORM_TYPE

    static final int GL_UNIFORM_TYPE

  Part of `GL_ARB_uniform_buffer_object`

  See Also:
    Constant Field Values

### GL_UNIFORM_SIZE

    static final int GL_UNIFORM_SIZE

  Part of `GL_ARB_uniform_buffer_object`

  See Also:
    Constant Field Values

### GL_UNIFORM_NAME_LENGTH

    static final int GL_UNIFORM_NAME_LENGTH

  Part of `GL_ARB_uniform_buffer_object`

  See Also:
    Constant Field Values

### GL_UNIFORM_BLOCK_INDEX

    static final int GL_UNIFORM_BLOCK_INDEX

  Part of `GL_ARB_uniform_buffer_object`

  See Also:
    Constant Field Values

### GL_UNIFORM_OFFSET

    static final int GL_UNIFORM_OFFSET

  Part of `GL_ARB_uniform_buffer_object`

  See Also:
    Constant Field Values

### GL_UNIFORM_ARRAY_STRIDE

    static final int GL_UNIFORM_ARRAY_STRIDE

  Part of `GL_ARB_uniform_buffer_object`

  See Also:
    Constant Field Values

### GL_UNIFORM_MATRIX_STRIDE

    static final int GL_UNIFORM_MATRIX_STRIDE

  Part of `GL_ARB_uniform_buffer_object`

  See Also:
    Constant Field Values

### GL_UNIFORM_IS_ROW_MAJOR

    static final int GL_UNIFORM_IS_ROW_MAJOR

  Part of `GL_ARB_uniform_buffer_object`

  See Also:
    Constant Field Values

### GL_UNIFORM_BLOCK_BINDING

    static final int GL_UNIFORM_BLOCK_BINDING

  Part of `GL_ARB_uniform_buffer_object`

  See Also:
    Constant Field Values

### GL_UNIFORM_BLOCK_DATA_SIZE

    static final int GL_UNIFORM_BLOCK_DATA_SIZE

  Part of `GL_ARB_uniform_buffer_object`

  See Also:
    Constant Field Values

### GL_UNIFORM_BLOCK_NAME_LENGTH

    static final int GL_UNIFORM_BLOCK_NAME_LENGTH

  Part of `GL_ARB_uniform_buffer_object`

  See Also:
    Constant Field Values

### GL_UNIFORM_BLOCK_ACTIVE_UNIFORMS

    static final int GL_UNIFORM_BLOCK_ACTIVE_UNIFORMS

  Part of `GL_ARB_uniform_buffer_object`

  See Also:
    Constant Field Values

### GL_UNIFORM_BLOCK_ACTIVE_UNIFORM_INDICES

    static final int GL_UNIFORM_BLOCK_ACTIVE_UNIFORM_INDICES

  Part of `GL_ARB_uniform_buffer_object`

  See Also:
    Constant Field Values

### GL_UNIFORM_BLOCK_REFERENCED_BY_VERTEX_SHADER

    static final int GL_UNIFORM_BLOCK_REFERENCED_BY_VERTEX_SHADER

  Part of `GL_ARB_uniform_buffer_object`

  See Also:
    Constant Field Values

### GL_UNIFORM_BLOCK_REFERENCED_BY_GEOMETRY_SHADER

    static final int GL_UNIFORM_BLOCK_REFERENCED_BY_GEOMETRY_SHADER

  Part of `GL_ARB_uniform_buffer_object`

  See Also:
    Constant Field Values

### GL_UNIFORM_BLOCK_REFERENCED_BY_FRAGMENT_SHADER

    static final int GL_UNIFORM_BLOCK_REFERENCED_BY_FRAGMENT_SHADER

  Part of `GL_ARB_uniform_buffer_object`

  See Also:
    Constant Field Values

### GL_COPY_READ_BUFFER

    static final int GL_COPY_READ_BUFFER

  Part of `GL_ARB_copy_buffer`

  See Also:
    Constant Field Values

### GL_COPY_WRITE_BUFFER

    static final int GL_COPY_WRITE_BUFFER

  Part of `GL_ARB_copy_buffer`

  See Also:
    Constant Field Values

### GL_FIRST_VERTEX_CONVENTION

    static final int GL_FIRST_VERTEX_CONVENTION

  Part of `GL_ARB_provoking_vertex`

  See Also:
    Constant Field Values

### GL_LAST_VERTEX_CONVENTION

    static final int GL_LAST_VERTEX_CONVENTION

  Part of `GL_ARB_provoking_vertex`

  See Also:
    Constant Field Values

### GL_PROVOKING_VERTEX

    static final int GL_PROVOKING_VERTEX

  Part of `GL_ARB_provoking_vertex`

  See Also:
    Constant Field Values

### GL_QUADS_FOLLOW_PROVOKING_VERTEX_CONVENTION

    static final int GL_QUADS_FOLLOW_PROVOKING_VERTEX_CONVENTION

  Part of `GL_ARB_provoking_vertex`

  See Also:
    Constant Field Values

### GL_TEXTURE_CUBE_MAP_SEAMLESS

    static final int GL_TEXTURE_CUBE_MAP_SEAMLESS

  Part of `GL_ARB_seamless_cube_map`

  See Also:
    Constant Field Values

### GL_SAMPLE_POSITION

    static final int GL_SAMPLE_POSITION

  Part of `GL_ARB_texture_multisample`

  See Also:
    Constant Field Values

### GL_SAMPLE_MASK

    static final int GL_SAMPLE_MASK

  Part of `GL_ARB_texture_multisample`

  See Also:
    Constant Field Values

### GL_SAMPLE_MASK_VALUE

    static final int GL_SAMPLE_MASK_VALUE

  Part of `GL_ARB_texture_multisample`

  See Also:
    Constant Field Values

### GL_TEXTURE_2D_MULTISAMPLE

    static final int GL_TEXTURE_2D_MULTISAMPLE

  Part of `GL_ARB_texture_multisample`

  See Also:
    Constant Field Values

### GL_PROXY_TEXTURE_2D_MULTISAMPLE

    static final int GL_PROXY_TEXTURE_2D_MULTISAMPLE

  Part of `GL_ARB_texture_multisample`

  See Also:
    Constant Field Values

### GL_TEXTURE_2D_MULTISAMPLE_ARRAY

    static final int GL_TEXTURE_2D_MULTISAMPLE_ARRAY

  Part of `GL_ARB_texture_multisample`

  See Also:
    Constant Field Values

### GL_PROXY_TEXTURE_2D_MULTISAMPLE_ARRAY

    static final int GL_PROXY_TEXTURE_2D_MULTISAMPLE_ARRAY

  Part of `GL_ARB_texture_multisample`

  See Also:
    Constant Field Values

### GL_MAX_SAMPLE_MASK_WORDS

    static final int GL_MAX_SAMPLE_MASK_WORDS

  Part of `GL_ARB_texture_multisample`

  See Also:
    Constant Field Values

### GL_MAX_COLOR_TEXTURE_SAMPLES

    static final int GL_MAX_COLOR_TEXTURE_SAMPLES

  Part of `GL_ARB_texture_multisample`

  See Also:
    Constant Field Values

### GL_MAX_DEPTH_TEXTURE_SAMPLES

    static final int GL_MAX_DEPTH_TEXTURE_SAMPLES

  Part of `GL_ARB_texture_multisample`

  See Also:
    Constant Field Values

### GL_MAX_INTEGER_SAMPLES

    static final int GL_MAX_INTEGER_SAMPLES

  Part of `GL_ARB_texture_multisample`

  See Also:
    Constant Field Values

### GL_TEXTURE_BINDING_2D_MULTISAMPLE

    static final int GL_TEXTURE_BINDING_2D_MULTISAMPLE

  Part of `GL_ARB_texture_multisample`

  See Also:
    Constant Field Values

### GL_TEXTURE_BINDING_2D_MULTISAMPLE_ARRAY

    static final int GL_TEXTURE_BINDING_2D_MULTISAMPLE_ARRAY

  Part of `GL_ARB_texture_multisample`

  See Also:
    Constant Field Values

### GL_TEXTURE_SAMPLES

    static final int GL_TEXTURE_SAMPLES

  Part of `GL_ARB_texture_multisample`

  See Also:
    Constant Field Values

### GL_TEXTURE_FIXED_SAMPLE_LOCATIONS

    static final int GL_TEXTURE_FIXED_SAMPLE_LOCATIONS

  Part of `GL_ARB_texture_multisample`

  See Also:
    Constant Field Values

### GL_SAMPLER_2D_MULTISAMPLE

    static final int GL_SAMPLER_2D_MULTISAMPLE

  Part of `GL_ARB_texture_multisample`

  See Also:
    Constant Field Values

### GL_INT_SAMPLER_2D_MULTISAMPLE

    static final int GL_INT_SAMPLER_2D_MULTISAMPLE

  Part of `GL_ARB_texture_multisample`

  See Also:
    Constant Field Values

### GL_UNSIGNED_INT_SAMPLER_2D_MULTISAMPLE

    static final int GL_UNSIGNED_INT_SAMPLER_2D_MULTISAMPLE

  Part of `GL_ARB_texture_multisample`

  See Also:
    Constant Field Values

### GL_SAMPLER_2D_MULTISAMPLE_ARRAY

    static final int GL_SAMPLER_2D_MULTISAMPLE_ARRAY

  Part of `GL_ARB_texture_multisample`

  See Also:
    Constant Field Values

### GL_INT_SAMPLER_2D_MULTISAMPLE_ARRAY

    static final int GL_INT_SAMPLER_2D_MULTISAMPLE_ARRAY

  Part of `GL_ARB_texture_multisample`

  See Also:
    Constant Field Values

### GL_UNSIGNED_INT_SAMPLER_2D_MULTISAMPLE_ARRAY

    static final int GL_UNSIGNED_INT_SAMPLER_2D_MULTISAMPLE_ARRAY

  Part of `GL_ARB_texture_multisample`

  See Also:
    Constant Field Values

### GL_DEPTH_CLAMP

    static final int GL_DEPTH_CLAMP

  Part of `GL_ARB_depth_clamp`

  See Also:
    Constant Field Values

### GL_MAX_SERVER_WAIT_TIMEOUT

    static final int GL_MAX_SERVER_WAIT_TIMEOUT

  Part of `GL_ARB_sync`

  See Also:
    Constant Field Values

### GL_OBJECT_TYPE

    static final int GL_OBJECT_TYPE

  Part of `GL_ARB_sync`

  See Also:
    Constant Field Values

### GL_SYNC_CONDITION

    static final int GL_SYNC_CONDITION

  Part of `GL_ARB_sync`

  See Also:
    Constant Field Values

### GL_SYNC_STATUS

    static final int GL_SYNC_STATUS

  Part of `GL_ARB_sync`

  See Also:
    Constant Field Values

### GL_SYNC_FLAGS

    static final int GL_SYNC_FLAGS

  Part of `GL_ARB_sync`

  See Also:
    Constant Field Values

### GL_SYNC_FENCE

    static final int GL_SYNC_FENCE

  Part of `GL_ARB_sync`

  See Also:
    Constant Field Values

### GL_SYNC_GPU_COMMANDS_COMPLETE

    static final int GL_SYNC_GPU_COMMANDS_COMPLETE

  Part of `GL_ARB_sync`

  See Also:
    Constant Field Values

### GL_UNSIGNALED

    static final int GL_UNSIGNALED

  Part of `GL_ARB_sync`

  See Also:
    Constant Field Values

### GL_SIGNALED

    static final int GL_SIGNALED

  Part of `GL_ARB_sync`

  See Also:
    Constant Field Values

### GL_SYNC_FLUSH_COMMANDS_BIT

    static final int GL_SYNC_FLUSH_COMMANDS_BIT

  Part of `GL_ARB_sync`

  See Also:
    Constant Field Values

### GL_ALREADY_SIGNALED

    static final int GL_ALREADY_SIGNALED

  Part of `GL_ARB_sync`

  See Also:
    Constant Field Values

### GL_TIMEOUT_EXPIRED

    static final int GL_TIMEOUT_EXPIRED

  Part of `GL_ARB_sync`

  See Also:
    Constant Field Values

### GL_CONDITION_SATISFIED

    static final int GL_CONDITION_SATISFIED

  Part of `GL_ARB_sync`

  See Also:
    Constant Field Values

### GL_WAIT_FAILED

    static final int GL_WAIT_FAILED

  Part of `GL_ARB_sync`

  See Also:
    Constant Field Values

### GL_INVALID_INDEX

    static final int GL_INVALID_INDEX

  Part of `GL_ARB_uniform_buffer_object`

  See Also:
    Constant Field Values

### GL_TIMEOUT_IGNORED

    static final long GL_TIMEOUT_IGNORED

  Part of `GL_ARB_sync`

  See Also:
    Constant Field Values

Method Detail

### glClientWaitSync

    int glClientWaitSync(long sync,
                         int flags,
                         long timeout)

  Entry point to C language function: `GLenum glClientWaitSync(GLsync sync, GLbitfield flags, uint64_t timeout);`
  Part of `GL_ARB_sync`

### glCopyBufferSubData

    void glCopyBufferSubData(int readTarget,
                             int writeTarget,
                             int readOffset,
                             int writeOffset,
                             int size)

  Entry point to C language function: `void glCopyBufferSubData(GLenum readTarget, GLenum writeTarget, ptrdiff_t readOffset, ptrdiff_t writeOffset, ptrdiff_t size);`
  Part of `GL_ARB_copy_buffer`

### glDeleteSync

    void glDeleteSync(long sync)

  Entry point to C language function: `void glDeleteSync(GLsync sync);`
  Part of `GL_ARB_sync`

### glDrawElementsBaseVertex

    void glDrawElementsBaseVertex(int mode,
                                  int count,
                                  int type,
                                  Buffer indices,
                                  int basevertex)

  Entry point to C language function: `void glDrawElementsBaseVertex(GLenum mode, GLsizei count, GLenum type, GLvoid * indices, GLint basevertex);`
  Part of `GL_ARB_draw_elements_base_vertex`

### glDrawElementsInstancedBaseVertex

    void glDrawElementsInstancedBaseVertex(int mode,
                                           int count,
                                           int type,
                                           Buffer indices,
                                           int primcount,
                                           int basevertex)

  Entry point to C language function: `void glDrawElementsInstancedBaseVertex(GLenum mode, GLsizei count, GLenum type, const GLvoid * indices, GLsizei primcount, GLint basevertex);`
  Part of `GL_ARB_draw_elements_base_vertex`

### glDrawRangeElementsBaseVertex

    void glDrawRangeElementsBaseVertex(int mode,
                                       int start,
                                       int end,
                                       int count,
                                       int type,
                                       Buffer indices,
                                       int basevertex)

  Entry point to C language function: `void glDrawRangeElementsBaseVertex(GLenum mode, GLuint start, GLuint end, GLsizei count, GLenum type, GLvoid * indices, GLint basevertex);`
  Part of `GL_ARB_draw_elements_base_vertex`

### glFenceSync

    long glFenceSync(int condition,
                     int flags)

  Entry point to C language function: `GLsync glFenceSync(GLenum condition, GLbitfield flags);`
  Part of `GL_ARB_sync`

### glGetActiveUniformBlockName

    void glGetActiveUniformBlockName(int program,
                                     int uniformIndex,
                                     int bufSize,
                                     IntBuffer length,
                                     ByteBuffer uniformName)

  Entry point to C language function: `void glGetActiveUniformBlockName(GLuint program, GLuint uniformIndex, GLsizei bufSize, GLsizei * length, GLchar * uniformName);`
  Part of `GL_ARB_uniform_buffer_object`

### glGetActiveUniformBlockName

    void glGetActiveUniformBlockName(int program,
                                     int uniformIndex,
                                     int bufSize,
                                     int[] length,
                                     int length_offset,
                                     byte[] uniformName,
                                     int uniformName_offset)

  Entry point to C language function: `void glGetActiveUniformBlockName(GLuint program, GLuint uniformIndex, GLsizei bufSize, GLsizei * length, GLchar * uniformName);`
  Part of `GL_ARB_uniform_buffer_object`

### glGetActiveUniformBlockiv

    void glGetActiveUniformBlockiv(int target,
                                   int attachment,
                                   int pname,
                                   IntBuffer params)

  Entry point to C language function: `void glGetActiveUniformBlockiv(GLuint target, GLuint attachment, GLenum pname, GLint * params);`
  Part of `GL_ARB_uniform_buffer_object`

### glGetActiveUniformBlockiv

    void glGetActiveUniformBlockiv(int target,
                                   int attachment,
                                   int pname,
                                   int[] params,
                                   int params_offset)

  Entry point to C language function: `void glGetActiveUniformBlockiv(GLuint target, GLuint attachment, GLenum pname, GLint * params);`
  Part of `GL_ARB_uniform_buffer_object`

### glGetActiveUniformName

    void glGetActiveUniformName(int program,
                                int uniformIndex,
                                int bufSize,
                                IntBuffer length,
                                ByteBuffer uniformName)

  Entry point to C language function: `void glGetActiveUniformName(GLuint program, GLuint uniformIndex, GLsizei bufSize, GLsizei * length, GLchar * uniformName);`
  Part of `GL_ARB_uniform_buffer_object`

### glGetActiveUniformName

    void glGetActiveUniformName(int program,
                                int uniformIndex,
                                int bufSize,
                                int[] length,
                                int length_offset,
                                byte[] uniformName,
                                int uniformName_offset)

  Entry point to C language function: `void glGetActiveUniformName(GLuint program, GLuint uniformIndex, GLsizei bufSize, GLsizei * length, GLchar * uniformName);`
  Part of `GL_ARB_uniform_buffer_object`

### glGetActiveUniformsiv

    void glGetActiveUniformsiv(int program,
                               int uniformCount,
                               IntBuffer uniformIndices,
                               int pname,
                               IntBuffer params)

  Entry point to C language function: `void glGetActiveUniformsiv(GLuint program, GLsizei uniformCount, const GLuint * uniformIndices, GLenum pname, GLint * params);`
  Part of `GL_ARB_uniform_buffer_object`

### glGetActiveUniformsiv

    void glGetActiveUniformsiv(int program,
                               int uniformCount,
                               int[] uniformIndices,
                               int uniformIndices_offset,
                               int pname,
                               int[] params,
                               int params_offset)

  Entry point to C language function: `void glGetActiveUniformsiv(GLuint program, GLsizei uniformCount, const GLuint * uniformIndices, GLenum pname, GLint * params);`
  Part of `GL_ARB_uniform_buffer_object`

### glGetInteger64v

    void glGetInteger64v(int pname,
                         com.sun.gluegen.runtime.PointerBuffer params)

  Entry point to C language function: `void glGetInteger64v(GLenum pname, int64_t * params);`
  Part of `GL_ARB_sync`

### glGetInteger64v

    void glGetInteger64v(int pname,
                         long[] params,
                         int params_offset)

  Entry point to C language function: `void glGetInteger64v(GLenum pname, int64_t * params);`
  Part of `GL_ARB_sync`

### glGetMultisamplefv

    void glGetMultisamplefv(int pname,
                            int index,
                            FloatBuffer val)

  Entry point to C language function: `void glGetMultisamplefv(GLenum pname, GLuint index, GLfloat * val);`
  Part of `GL_ARB_texture_multisample`

### glGetMultisamplefv

    void glGetMultisamplefv(int pname,
                            int index,
                            float[] val,
                            int val_offset)

  Entry point to C language function: `void glGetMultisamplefv(GLenum pname, GLuint index, GLfloat * val);`
  Part of `GL_ARB_texture_multisample`

### glGetSynciv

    void glGetSynciv(long sync,
                     int pname,
                     int bufSize,
                     IntBuffer length,
                     IntBuffer values)

  Entry point to C language function: `void glGetSynciv(GLsync sync, GLenum pname, GLsizei bufSize, GLsizei * length, GLint * values);`
  Part of `GL_ARB_sync`

### glGetSynciv

    void glGetSynciv(long sync,
                     int pname,
                     int bufSize,
                     int[] length,
                     int length_offset,
                     int[] values,
                     int values_offset)

  Entry point to C language function: `void glGetSynciv(GLsync sync, GLenum pname, GLsizei bufSize, GLsizei * length, GLint * values);`
  Part of `GL_ARB_sync`

### glGetUniformBlockIndex

    int glGetUniformBlockIndex(int program,
                               String uniformBlockName)

  Entry point to C language function: `GLuint glGetUniformBlockIndex(GLuint program, const GLchar * uniformBlockName);`
  Part of `GL_ARB_uniform_buffer_object`

### glGetUniformIndices

    void glGetUniformIndices(int program,
                             int uniformCount,
                             String[] uniformNames,
                             IntBuffer uniformIndices)

  Entry point to C language function: `void glGetUniformIndices(GLuint program, GLsizei uniformCount, const GLchar * * uniformNames, GLuint * uniformIndices);`
  Part of `GL_ARB_uniform_buffer_object`

### glGetUniformIndices

    void glGetUniformIndices(int program,
                             int uniformCount,
                             String[] uniformNames,
                             int[] uniformIndices,
                             int uniformIndices_offset)

  Entry point to C language function: `void glGetUniformIndices(GLuint program, GLsizei uniformCount, const GLchar * * uniformNames, GLuint * uniformIndices);`
  Part of `GL_ARB_uniform_buffer_object`

### glIsSync

    boolean glIsSync(long sync)

  Entry point to C language function: `GLboolean glIsSync(GLsync sync);`
  Part of `GL_ARB_sync`

### glProvokingVertex

    void glProvokingVertex(int mode)

  Entry point to C language function: `void glProvokingVertex(GLenum mode);`
  Part of `GL_ARB_provoking_vertex`

### glSampleMaski

    void glSampleMaski(int index,
                       int mask)

  Entry point to C language function: `void glSampleMaski(GLuint index, GLbitfield mask);`
  Part of `GL_ARB_texture_multisample`

### glTexImage2DMultisample

    void glTexImage2DMultisample(int target,
                                 int samples,
                                 int internalformat,
                                 int width,
                                 int height,
                                 boolean fixedsamplelocations)

  Entry point to C language function: `void glTexImage2DMultisample(GLenum target, GLsizei samples, GLint internalformat, GLsizei width, GLsizei height, GLboolean fixedsamplelocations);`
  Part of `GL_ARB_texture_multisample`

### glTexImage3DMultisample

    void glTexImage3DMultisample(int target,
                                 int samples,
                                 int internalformat,
                                 int width,
                                 int height,
                                 int depth,
                                 boolean fixedsamplelocations)

  Entry point to C language function: `void glTexImage3DMultisample(GLenum target, GLsizei samples, GLint internalformat, GLsizei width, GLsizei height, GLsizei depth, GLboolean fixedsamplelocations);`
  Part of `GL_ARB_texture_multisample`

### glUniformBlockBinding

    void glUniformBlockBinding(int fail,
                               int zfail,
                               int zpass)

  Entry point to C language function: `void glUniformBlockBinding(GLuint fail, GLuint zfail, GLuint zpass);`
  Part of `GL_ARB_uniform_buffer_object`

### glWaitSync

    void glWaitSync(long sync,
                    int flags,
                    long timeout)

  Entry point to C language function: `void glWaitSync(GLsync sync, GLbitfield flags, uint64_t timeout);`
  Part of `GL_ARB_sync`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2005 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.